Bug 1962429 - Cannot create windows vm because kubemacpool.io denied the request
Summary: Cannot create windows vm because kubemacpool.io denied the request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-20 03:32 UTC by Guohua Ouyang
Modified: 2021-07-27 23:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
error on create windows vm (176.93 KB, image/png)
2021-05-20 03:32 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9065 0 None open Bug 1962429: Images are now saved globaly and can be accessed everywhere 2021-05-27 08:05:57 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:55 UTC

Description Guohua Ouyang 2021-05-20 03:32:56 UTC
Created attachment 1785010 [details]
error on create windows vm

Description of problem:
Cannot create windows vm because kubemacpool.io denied the request:

admission webhook "mutatevirtualmachines.kubemacpool.io" denied the request: v1.VirtualMachine.Spec: v1.VirtualMachineSpec.Template: v1.VirtualMachineInstanceTemplateSpec.Spec: v1.VirtualMachineInstanceSpec.Volumes: []v1.Volume: v1.Volume.VolumeSource: ContainerDisk: v1.ContainerDiskSource.Image: ReadString: expects " or n, but found {, error found in #10 byte of ...|{"image":{}},"name":|..., bigger context ...|conds":3600,"volumes":[{"containerDisk":{"image":{}},"name":"windows-guest-tools"},{"dataVolume":{"n|...

Version-Release number of selected component (if applicable):
master

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Matan Schatzman 2021-05-25 08:37:14 UTC
@gouyang@redhat.com I tried to reproduce it on uit03 but it's working for me. can you confirm it still going on? if so please send me server details.

Comment 2 Guohua Ouyang 2021-05-25 10:36:33 UTC
(In reply to Matan Schatzman from comment #1)
> @gouyang@redhat.com I tried to reproduce it on uit03 but it's working for
> me. can you confirm it still going on? if so please send me server details.

Clear the needinfo as Matan already find that it only happens when branding is openshift, not okd.

Comment 5 Guohua Ouyang 2021-06-21 06:30:44 UTC
verified on 4.8.0-fc.9.

Comment 7 errata-xmlrpc 2021-07-27 23:09:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.